Bug 633096 - virt-resize calculates block device size incorrectly, doesn't work with qcow2 target
virt-resize calculates block device size incorrectly, doesn't work with qcow2...
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-12 16:40 EDT by Richard W.M. Jones
Modified: 2011-07-14 15:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-14 15:14:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2010-09-12 16:40:27 EDT
Description of problem:

virt-resize calculates the size of the block device using the host file
size.  This is completely wrong and it naturally miscalculates things
like qcow2 targets.  It should instead use the guestfs_blockdev_getsize64
API.

Version-Release number of selected component (if applicable):

1.5.12

How reproducible:

Always.

Steps to Reproduce:
1. Create a qcow2 target file.
2. Try to resize with the qcow2 device as the target.
3.
  
Actual results:

Will fail or say the target image is too small.

Expected results:

Should calculate the target size correctly and thus not fail.

Additional info:

Originally reported by Sean Darcy here:
https://www.redhat.com/archives/libguestfs/2010-September/msg00008.html
Comment 2 Richard W.M. Jones 2010-09-27 12:21:33 EDT
Patch posted:

https://www.redhat.com/archives/libguestfs/2010-September/msg00054.html

Note You need to log in before you can comment on or make changes to this bug.